import 'dart:convert';
import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../../mhslApi.dart';
import 'getBreakersResponse.dart';

class GetBreakers extends MhslApi<GetBreakersResponse> {
  GetBreakers() : super("breaker/");

  @override
  GetBreakersResponse assemble(String raw) {
    return GetBreakersResponse.fromJson(jsonDecode(raw));
  }

  @override
  Future<Response>? request(Uri uri) {
    return http.get(uri);
  }

}